Index: extensions/NBC_UserAdvManager/branches/2.16/admin/UAM_admin.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/admin/UAM_admin.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/admin/UAM_admin.php	(revision 8095)
@@ -118,4 +118,6 @@
 
     $_POST['UAM_GTAutoMailText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoMailText'])));
+    
+    $_POST['UAM_AdminValidationMail_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_AdminValidationMail_Text'])));
 
     //Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them
@@ -160,10 +162,11 @@
       $_POST['UAM_RedirToProfile'],
       $_POST['UAM_GTAuto'],
-      $_POST['UAM_GTAutoDel'],
       $_POST['UAM_GTAutoMail'],
       $_POST['UAM_GTAutoDelText'],
       $_POST['UAM_GTAutoMailText'],
       (isset($_POST['UAM_Downgrade_Group'])?$_POST['UAM_Downgrade_Group']:''),
-      (isset($_POST['UAM_Downgrade_Status'])?$_POST['UAM_Downgrade_Status']:''));
+      (isset($_POST['UAM_Downgrade_Status'])?$_POST['UAM_Downgrade_Status']:''),
+      $_POST['UAM_AdminValidationMail_Text']
+      );
 
     $conf['UserAdvManager'] = serialize($newconf_UAM);
@@ -252,5 +255,5 @@
 		}
     //configuration value for downgrade users
-    if (isset($conf_UAM[27]) and $conf_UAM[27] == $row['id'])
+    if (isset($conf_UAM[26]) and $conf_UAM[26] == $row['id'])
 		{
 	  	$Downgrade = $row['id'];
@@ -331,5 +334,5 @@
   {
 	  $status_options[$status] = l10n('user_status_'.$status);
-	  if (isset($conf_UAM[28]) and $conf_UAM[28] == $status)
+	  if (isset($conf_UAM[27]) and $conf_UAM[27] == $status)
 		{
 		  $Downgrade_Status = $status;
@@ -395,12 +398,11 @@
     'UAM_GTAUTO_TRUE'                => $conf_UAM[22]=='true' ?  'checked="checked"' : '' ,
     'UAM_GTAUTO_FALSE'               => $conf_UAM[22]=='false' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTODEL_TRUE'             => $conf_UAM[23]=='true' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTODEL_FALSE'            => $conf_UAM[23]=='false' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTOMAIL_TRUE'            => $conf_UAM[24]=='true' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTOMAIL_FALSE'           => $conf_UAM[24]=='false' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTODEL_TEXT'             => $conf_UAM[25],
-    'UAM_GTAUTOMAILTEXT'             => $conf_UAM[26],
-		'UAM_Downgrade_Group'            => $conf_UAM[27],
-		'UAM_Downgrade_Status'           => $conf_UAM[28],
+    'UAM_GTAUTOMAIL_TRUE'            => $conf_UAM[23]=='true' ?  'checked="checked"' : '' ,
+    'UAM_GTAUTOMAIL_FALSE'           => $conf_UAM[23]=='false' ?  'checked="checked"' : '' ,
+    'UAM_GTAUTODEL_TEXT'             => $conf_UAM[24],
+    'UAM_GTAUTOMAILTEXT'             => $conf_UAM[25],
+		'UAM_Downgrade_Group'            => $conf_UAM[26],
+		'UAM_Downgrade_Status'           => $conf_UAM[27],
+    'UAM_ADMINVALIDATIONMAIL_TEXT'   => $conf_UAM[28],
 		'UAM_PASSWORD_TEST_SCORE'        => $UAM_Password_Test_Score,
     'UAM_ERROR_REPORTS4'             => $UAM_Exclusionlist_Error,
@@ -966,4 +968,5 @@
       	{
           ForceValidation($user_id);
+          validation_mail($user_id);
       	}
       	array_push(
Index: extensions/NBC_UserAdvManager/branches/2.16/admin/template/global.tpl
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/admin/template/global.tpl	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/admin/template/global.tpl	(revision 8095)
@@ -201,4 +201,20 @@
               {'UAM_Confirm_Mail_local'|@translate}
             <br><br>
+{if $UAM_CONFIRM_MAIL_FALSE}
+<div class="uam_hide">
+{/if}
+            <ul>
+              <li>
+                <label class="cluetip" title="{'UAM_AdminValidationMail'|translate}|{'UAM_AdminValidationMail_d'|translate}">
+                  {'UAM_AdminValidationMail_Text'|@translate}
+                </label>
+                <br><br>
+                  <textarea class="uam_textfields" name="UAM_AdminValidationMail_Text" id="UAM_AdminValidationMail_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_ADMINVALIDATIONMAIL_TEXT}</textarea>
+                <br><br>
+              </li>
+            </ul>
+{if $UAM_CONFIRM_MAIL_FALSE}
+</div>
+{/if}
         	</li>
 {if $UAM_CONFIRM_MAIL_FALSE}
@@ -433,6 +449,4 @@
                   <li><label class="cluetip" title="{'UAM_GTAutoDelTitle'|translate}|{'UAM_GTAutoDelTitle_d'|translate}">{'UAM_GTAutoDel'|@translate}</label>
                   <br><br>
-                    <input type="radio" value="false" {$UAM_GTAUTODEL_FALSE} name="UAM_GTAutoDel">{'UAM_GTAutoDel_false'|@translate}<br>
-                    <input type="radio" value="true" {$UAM_GTAUTODEL_TRUE} name="UAM_GTAutoDel">{'UAM_GTAutoDel_true'|@translate}<br><br>
                       <textarea class="uam_textfields" name="UAM_GTAutoDelText" id="UAM_GTAutoDelText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GTAUTODEL_TEXT}</textarea>
                       <br><br>
@@ -445,43 +459,37 @@
                   </li>
 
-                  {if $UAM_GTAUTODEL_TRUE}
-                    <div class="uam_hide">
-                  {/if}
-                      <li><label class="cluetip" title="{'UAM_GTAutoGpTitle'|translate}|{'UAM_GTAutoGpTitle_d'|translate}">{'UAM_GTAutoGp'|@translate}</label><br><br>
-                        <ul>
-                          <li>
-                            <label>
-                              {'UAM_Expired_Group'|@translate}
-                            </label>
-                          <br>
-                            <div id="uam_leftmargin">
-                              {html_options name="UAM_Downgrade_Group" options=$Downgrade_Group.group_options selected=$Downgrade_Group.group_selected}
-                            </div>
-                          <br><br>
-                          </li>
-
-                          <li>
-                            <label>
-                              {'UAM_Expired_Status'|@translate}
-                            </label>
-                          <br>
-                            <div id="uam_leftmargin">
-                              {html_options name="UAM_Downgrade_Status" options=$Downgrade_Status.Status_options selected=$Downgrade_Status.Status_selected}
-                            </div>
-                          <br><br>
-                          </li>
-                        </ul>
-
-                        <ul>
-                          <li><label class="cluetip" title="{'UAM_GTAutoMailTitle'|translate}|{'UAM_GTAutoMailTitle_d'|translate}">{'UAM_GTAutoMail'|@translate}</label><br><br>
-                            <input type="radio" value="false" {$UAM_GTAUTOMAIL_FALSE} name="UAM_GTAutoMail">{'UAM_GTAutoMail_false'|@translate}<br>
-                            <input type="radio" value="true" {$UAM_GTAUTOMAIL_TRUE} name="UAM_GTAutoMail">{'UAM_GTAutoMail_true'|@translate}<br><br><br>
-                            <textarea class="uam_textfields" name="UAM_GTAutoMailText" id="UAM_GTAutoMailText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GTAUTOMAILTEXT}</textarea><br><br>
-                          </li>
-                        </ul>
+                  <li><label class="cluetip" title="{'UAM_GTAutoGpTitle'|translate}|{'UAM_GTAutoGpTitle_d'|translate}">{'UAM_GTAutoGp'|@translate}</label><br><br>
+                    <ul>
+                      <li>
+                        <label>
+                          {'UAM_Expired_Group'|@translate}
+                        </label>
+                        <br>
+                          <div id="uam_leftmargin">
+                            {html_options name="UAM_Downgrade_Group" options=$Downgrade_Group.group_options selected=$Downgrade_Group.group_selected}
+                          </div>
+                        <br><br>
                       </li>
-                  {if $UAM_GTAUTODEL_TRUE}
-                    </div>
-                  {/if}
+
+                      <li>
+                        <label>
+                          {'UAM_Expired_Status'|@translate}
+                        </label>
+                        <br>
+                        <div id="uam_leftmargin">
+                          {html_options name="UAM_Downgrade_Status" options=$Downgrade_Status.Status_options selected=$Downgrade_Status.Status_selected}
+                        </div>
+                        <br><br>
+                      </li>
+                    </ul>
+
+                    <ul>
+                      <li><label class="cluetip" title="{'UAM_GTAutoMailTitle'|translate}|{'UAM_GTAutoMailTitle_d'|translate}">{'UAM_GTAutoMail'|@translate}</label><br><br>
+                        <input type="radio" value="false" {$UAM_GTAUTOMAIL_FALSE} name="UAM_GTAutoMail">{'UAM_GTAutoMail_false'|@translate}<br>
+                        <input type="radio" value="true" {$UAM_GTAUTOMAIL_TRUE} name="UAM_GTAutoMail">{'UAM_GTAutoMail_true'|@translate}<br><br><br>
+                        <textarea class="uam_textfields" name="UAM_GTAutoMailText" id="UAM_GTAutoMailText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GTAUTOMAILTEXT}</textarea><br><br>
+                      </li>
+                    </ul>
+                  </li>
                 </ul>
             {if $UAM_GTAUTO_FALSE}
Index: extensions/NBC_UserAdvManager/branches/2.16/changelog.txt.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/changelog.txt.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/changelog.txt.php	(revision 8095)
@@ -215,6 +215,6 @@
             Bug 2046 fixed - Using Piwigo's $conf['insensitive_case_logon'] = true option works again with UAM
             Bug 2053 fixed - Manual validation by admins wasn't working correctly
-            Bug 2054
-            Bug 2056 fixed - Automated tasks are available to delete or downgrade ghost users with or without email notification
+            Bug 2054 fixed - Add of customized email notification to validated users when admins validate them manually 
+            Bug 1430, 1840, 2056 fixed - Automated tasks are available to delete or downgrade ghost users with or without email notification
             Add of Latvian (lv_LV) translation (Thx to Aivars Baldone)
 
Index: extensions/NBC_UserAdvManager/branches/2.16/include/functions.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/include/functions.inc.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/include/functions.inc.php	(revision 8095)
@@ -369,32 +369,6 @@
   }
 
-  // Ghost accounts auto deletion
-  if ((isset($conf_UAM[22]) and $conf_UAM[22] == 'true') and (isset($conf_UAM[23]) and $conf_UAM[23] == 'true'))
-  {
-    if (count($collection) > 0)
-  	{
-    	if (in_array($user['id'], $collection))
-    	{
-        invalidate_user_cache();
-        
-        foreach ($collection as $user_id)
-        {
-          delete_user($user_id);
-        }
-        logout_user();
-        redirect(UAM_PATH.'del_account.php');
-    	}
-      else
-      {
-        foreach ($collection as $user_id)
-        {
-          delete_user($user_id);
-        }
-      }
-    }
-  }
-
   // Ghost accounts auto group or status downgrade with or without information email sending and autodeletion if user already reminded
-  if ((isset($conf_UAM[22]) and $conf_UAM[22] == 'true') and (isset($conf_UAM[23]) and $conf_UAM[23] == 'false') and ((isset($conf_UAM[27]) and $conf_UAM[27] <> -1) or (isset($conf_UAM[28]) and $conf_UAM[28] <> -1)))
+  if ((isset($conf_UAM[22]) and $conf_UAM[22] == 'true') and ((isset($conf_UAM[26]) and $conf_UAM[26] <> -1) or (isset($conf_UAM[27]) and $conf_UAM[27] <> -1)))
   {
     if (count($collection) > 0)
@@ -450,9 +424,9 @@
 
             // Change user status
-            if ($conf_UAM[28] <> -1)
+            if ($conf_UAM[27] <> -1)
             {
               $query = "
 UPDATE ".USER_INFOS_TABLE."
-SET status = '".$conf_UAM[28]."'
+SET status = '".$conf_UAM[27]."'
 WHERE user_id = '".$user_id."'
 ;";
@@ -461,5 +435,5 @@
 
             // Change user group
-            if ($conf_UAM[27] <> -1)
+            if ($conf_UAM[26] <> -1)
             {
               $query = "
@@ -467,5 +441,5 @@
   (user_id, group_id)
 VALUES
-  ('".$user_id."', '".$conf_UAM[27]."')
+  ('".$user_id."', '".$conf_UAM[26]."')
 ;";
               pwg_query($query);
@@ -473,5 +447,5 @@
           
             // Auto send email notification on group / status downgrade only if never reminded before
-            if (isset($conf_UAM[24]) and $conf_UAM[24] == 'true')
+            if (isset($conf_UAM[23]) and $conf_UAM[23] == 'true')
             {
               // Set reminder true
@@ -508,8 +482,19 @@
           }
         }
-        // Logged-in user cleanup
-        invalidate_user_cache();
-        log_user($user['id'], false);
-        redirect(make_index_url());
+
+        if (!$reminder) // If user never reminded for ghost account
+        {
+          // Logged-in user cleanup
+          invalidate_user_cache();
+          log_user($user['id'], false);
+          redirect(make_index_url());
+        }
+        elseif ($reminder) // If user already reminded for ghost account
+        {
+          // Logged-in user cleanup
+          invalidate_user_cache();
+          log_user($user['id'], false);
+          redirect(UAM_PATH.'del_account.php');
+        }
     	}
       else // Process if an admin or webmaster user is logged
@@ -561,9 +546,9 @@
 
             // Change user status
-            if ($conf_UAM[28] <> -1)
+            if ($conf_UAM[27] <> -1)
             {
               $query = "
 UPDATE ".USER_INFOS_TABLE."
-SET status = '".$conf_UAM[28]."'
+SET status = '".$conf_UAM[27]."'
 WHERE user_id = '".$user_id."'
 ;";
@@ -572,5 +557,5 @@
 
             // Change user group
-            if ($conf_UAM[27] <> -1)
+            if ($conf_UAM[26] <> -1)
             {
               $query = "
@@ -578,5 +563,5 @@
   (user_id, group_id)
 VALUES
-  ('".$user_id."', '".$conf_UAM[27]."')
+  ('".$user_id."', '".$conf_UAM[26]."')
 ;";
               pwg_query($query);
@@ -584,5 +569,5 @@
 
             // Auto send email notification on group / status downgrade
-            if (isset($conf_UAM[24]) and $conf_UAM[24] == 'true')
+            if (isset($conf_UAM[23]) and $conf_UAM[23] == 'true')
             {
               // Set reminder true
@@ -983,5 +968,5 @@
 // debugging             
 // **********************
-//$content = get_user_language_desc($conf_UAM[19])."\n\n";  
+//$content = $infos1.get_absolute_root_url();  
 //MailLog($email,$subject,$content,$language);
 // **********************
@@ -994,5 +979,5 @@
  * Function called from functions.inc.php to send notification email when user have been downgraded
  *
- * @param : user id, username, email address, confirmation
+ * @param : user id, username, email address
  * 
  */
@@ -1032,11 +1017,11 @@
   $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Demotion of %s', stripslashes($username)));
       
-  if (isset($conf_UAM[26]) and $conf_UAM[26] <> '')
+  if (isset($conf_UAM[25]) and $conf_UAM[25] <> '')
   {
     if (function_exists('get_user_language_desc'))
     {
-      $custom_txt = get_user_language_desc($conf_UAM[26])."\n\n";
-    }
-    else $custom_txt = l10n($conf_UAM[26])."\n\n"; 
+      $custom_txt = get_user_language_desc($conf_UAM[25])."\n\n";
+    }
+    else $custom_txt = l10n($conf_UAM[25])."\n\n"; 
   }
 
@@ -1066,5 +1051,90 @@
 // debugging             
 // **********************
-//$content = ($infos1."\n\n".$infos2."\n\n").get_absolute_root_url();   
+//$content = ($custom_txt.l10n_args($infos1)."\n\n".l10n_args($infos2)."\n\n").get_absolute_root_url();   
+//MailLog($email,$subject,$content,$language);
+// **********************
+
+// Switching back to default language
+switch_lang_back();
+}
+
+/**
+ * Function called from UAM_admin.php to send notification email when user registration have been manually validated by admin
+ *
+ * @param : user id
+ * 
+ */
+function validation_mail($id)
+{
+  global $conf;
+
+  $conf_UAM = unserialize($conf['UserAdvManager']);
+  
+	include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+  
+	$custom_txt = "";
+
+// We have to get the user's language in database
+  $query ='
+SELECT user_id, language
+FROM '.USER_INFOS_TABLE.'
+WHERE user_id = '.$id.'
+;';
+  $data = pwg_db_fetch_assoc(pwg_query($query));
+
+// Check if user is already registered (profile changing) - If not (new registration), language is set to current gallery language
+  if (empty($data))
+  {
+// And switch gallery to this language before using personalized and multilangual contents
+    $language = pwg_get_session_var( 'lang_switch', $user['language'] );
+    switch_lang_to($language);
+  }
+  else
+  {
+// And switch gallery to this language before using personalized and multilangual contents
+    $language = $data['language']; // Usefull for debugging
+    switch_lang_to($data['language']);
+    load_language('plugin.lang', UAM_PATH);
+  }
+
+// Retreive users email and user name from id
+  $query ='
+SELECT id, username, mail_address
+FROM '.USERS_TABLE.'
+WHERE id = '.$id.'
+;';
+  $result = pwg_db_fetch_assoc(pwg_query($query));
+
+  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Validation of %s', stripslashes($result['username'])));
+      
+  if (isset($conf_UAM[28]) and $conf_UAM[28] <> '')
+  {
+    if (function_exists('get_user_language_desc'))
+    {
+      $custom_txt = get_user_language_desc($conf_UAM[28])."\n\n";
+    }
+    else $custom_txt = l10n($conf_UAM[28])."\n\n"; 
+  }
+
+  $infos = array(
+    get_l10n_args('User: %s', stripslashes($result['username'])),
+    get_l10n_args('Email: %s', $result['mail_address']),
+    get_l10n_args('', ''),
+  );
+
+// Sending the email with subject and contents
+  pwg_mail($result['mail_address'], array(
+    'subject' => $subject,
+    'content' => (l10n_args($infos)."\n\n".$custom_txt),
+  ));
+
+// **********************
+// Email sending debugger
+// This is only to trace 
+// the send of emails for
+// debugging             
+// **********************
+//$email = $result['mail_address'];
+//$content = (l10n_args($infos)."\n\n".$custom_txt);   
 //MailLog($email,$subject,$content,$language);
 // **********************
Index: extensions/NBC_UserAdvManager/branches/2.16/include/upgradedb.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/include/upgradedb.inc.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/include/upgradedb.inc.php	(revision 8095)
@@ -287,9 +287,9 @@
   $Newconf_UAM[22] = 'false';
   $Newconf_UAM[23] = 'false';
-  $Newconf_UAM[24] = 'false';
-  $Newconf_UAM[25] = 'Sorry, your account has been deleted due to a too long time passed since your last visit.';
-  $Newconf_UAM[26] = 'Sorry, your account has been deprecated due to a too long time passed since your last visit. Please, use the following link to revalidate your account.';
+  $Newconf_UAM[24] = 'Sorry, your account has been deleted due to a too long time passed since your last visit.';
+  $Newconf_UAM[25] = 'Sorry, your account has been deprecated due to a too long time passed since your last visit. Please, use the following link to revalidate your account.';
+  $Newconf_UAM[26] = '-1';
   $Newconf_UAM[27] = '-1';
-  $Newconf_UAM[28] = '-1';
+  $Newconf_UAM[28] = 'Thank you to have registered the gallery. Your account has been manually validated by admin. You can now visit all the gallery for free !';
   
   $update_conf = serialize($Newconf_UAM);
Index: extensions/NBC_UserAdvManager/branches/2.16/language/de_DE/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/de_DE/help/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/de_DE/help/plugin.lang.php	(revision 8095)
@@ -13,11 +13,4 @@
 ';
 $lang['UAM_miscTitle'] = 'Registrierung gefolgt und andere Optionen';
-$lang['UAM_miscTitle_d'] = '
-- Geist Benutzer-Management<br>
-- Gefolgt registrierte Benutzer<br>
-- Nickname obligatorisch für Gäste Kommentare<br>
-...
-';
-$lang['UAM_casenTitle'] = 'Benutzernamen: Groß-und Kleinschreibung';
 $lang['UAM_carexcTitle'] = 'Benutzernamen: Ausschluss von Zeichen';
 $lang['UAM_carexcTitle_d'] = 'Es mag interessant sein, bestimmte Zeichen in Benutzernamen verbieten (Beispiel: verweigern Logins mit &quot;@&quot;). Diese Option erm&ouml;glicht es, Zeichen oder Zeichenfolge, Veranstaltungen auszuschlie&szlig;en.<br>
@@ -56,6 +49,4 @@
 $lang['UAM_remailtxt2Title'] = 'Reminder per E-Mail, ohne dass neue Schlüssel generiert';
 $lang['UAM_ghosttrackerTitle'] = 'Geist Besucher-Management';
-$lang['UAM_ghosttrackerTitle_d'] = 'Auch bekannt als &quot;Geist Tracker&quot;, wenn diese Funktion aktiviert ist, k&ouml;nnen Sie verwalten Ihre Besucher je nach der H&auml;ufigkeit ihrer Besuche. Wenn die Zeit zwischen 2 besucht, ist erreicht, wird der Besucher in Frage zu &quot;Geist Tracker&quot; Tisch, an dem Sie in der Lage sein wird, die Besucher per E-Mail erinnern.<br><br>
-<b style=&quot;color: red;&quot;>Wenn Sie diese Funktion zum ersten Mal oder haben Sie nach einem langen Zeitraum aus, in dem neue Besucher registriert sind, müssen Sie initialisieren, oder setzen Sie den Geist Tracker reaktiviert.</b>';
 $lang['UAM_gttextTitle'] = 'Geist Tracker Erinnerungs-Nachricht';
 $lang['UAM_lastvisitTitle'] = 'Tracking registrierte Benutzer';
@@ -76,17 +67,4 @@
 Durch die Deaktivierung dieser Option (Standard), nur die E-Mail-Informationen gesendet werden (wenn &quot;Informations-E-Mail an Benutzer&quot; aktiviert ist).';
 // --------- End: New or revised $lang ---- from version 2.14.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.0
-/*TODO*/$lang['UAM_confirmmail_custom1'] = 'Text of the confirmation page - Confirmation accepted';
-/*TODO*/$lang['UAM_confirmmail_custom2'] = 'Text of the confirmation page - Confirmation rejected';
-// --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.2
-$lang['UAM_casenTitle_d'] = 'Standardm&auml;&szlig;ig ist Piwigo Groß-und Kleinschreibung sensitive: Gro&szlig;-und Kleinschreibung ber&uuml;cksichtigt werden verschiedene Buchstaben in den Namen von den Nutzern bei der Registrierung gew&auml;hlt. So, &quot;Foo&quot;, &quot;foo&quot; und &quot;FOO&quot; k&ouml;nnen 3 verschiedene Benutzer.<br><br>
-Die Aktivierung dieser Option erlaubt es, alle Optionen im Fall von &quot;foo&quot; als ein Benutzer zu betrachten. Wenn &quot;foo&quot; bereits vorhanden ist, einen neuen Benutzer erstellen &quot;Foo&quot; werden nicht angenommen.<br><br>
-<b style=&quot;color: red;&quot;>Warnung: Diese Option hat keine Auswirkungen auf den Benutzernamen erstellt vor ihrer Aktivierung.</b>';
-// --------- End: New or revised $lang ---- from version 2.15.2
 
 
@@ -156,19 +134,17 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.15.7
-/*TODO*/$lang['UAM_GTAutoTitle'] = 'Gestion automatique des utilisateurs fantomes';
-/*TODO*/$lang['UAM_GTAutoTitle_d'] = 'Cette option permet d\'appliquer des règles de gestion automatisée des visiteurs fantômes. Lorsque ce mode est actif, on partira du principe qu\'un visiteur ayant atteind la limite maximale entre deux visites et ayant déjà été notifié par mail est considéré comme expiré.';
-/*TODO*/$lang['UAM_GTAutoDelTitle'] = 'Suppression automatique des comptes expirés';
-/*TODO*/$lang['UAM_GTAutoDelTitle_d'] = 'Supprime automatiquement le compte d\'un utilisateur lorsque celui-ci est expiré. La suppression survient lors de la connexion de l\'utilisateur qui est alors redirigé vers une page annonçant que sont compte a été détruit. Un texte personnalisé peut être saisi dans le champ ci-dessous.<br>
-Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
-Note : Lorsque cette option est active, les autres règles automatiques ne sont pas accessibles.';
-/*TODO*/$lang['UAM_GTAutoGpTitle'] = 'Changement automatique de groupe / statut';
-/*TODO*/$lang['UAM_GTAutoGpTitle_d'] = 'Changement automatique de groupe / statut';
-/*TODO*/$lang['UAM_GTAutoMailTitle'] = 'Emailing automatique des comptes expirés';
-/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'Emailing automatique des comptes expirés';
-// --------- End: New or revised $lang ---- from version 2.15.7
-
-
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_confirmmail_custom1'] = 'Text der Best&auml;tigungs-Seite - Best&auml;tigung akzeptiert';
+$lang['UAM_confirmmail_custom2'] = 'Text der Best&auml;tigungs-Seite - Best&auml;tigung abgelehnt';
+$lang['UAM_miscTitle_d'] = '
+- Automatische oder manuelle Verwaltung von Geist Benutzern<br>
+- Gefolgt registrierte Benutzer<br>
+- Nickname obligatorisch für Gäste Kommentare<br>
+...
+';
+$lang['UAM_ghosttrackerTitle_d'] = 'Auch bekannt als &quot;Geist Tracker&quot;, wenn diese Funktion aktiviert ist, k&ouml;nnen Sie verwalten Ihre Besucher je nach der H&auml;ufigkeit ihrer Besuche. 2 Betriebsarten stehen zur Verfügung:
+- Manuelle Verwaltung: Wenn die Zeit zwischen 2 Besuche erreicht ist, erscheint dem Besucher in der &quot;Ghost Tracker&quot; Table, an dem Sie in der Lage für die Besucher per E-Mail erinnern oder löschen ihn wird.<br><br>
+- Automatisiertes Management: Wenn der Zeitraum zwischen 2 aufeinander folgenden Aufenthalte erreicht ist, wird der Besucher automatisch gelöscht oder verschoben in eine Gruppe warten und / oder Status. In diesem zweiten Fall kann eine Information E-Mail an ihn gesendet werden.<br><br>
+<b style=&quot;color: red;&quot;>Wenn Sie diese Funktion zum ersten Mal oder haben Sie nach einem langen Zeitraum aus, in dem neue Besucher registriert sind, müssen Sie initialisieren, oder setzen Sie den Geist Tracker reaktiviert.</b>';
 $lang['UAM_mailexcTitle_d'] = 'Standardmäßig akzeptiert Piwigo alle E-Mail-Adressen im Format xxx@yyy.zz. Durch die Aktivierung dieser Option können Sie auf bestimmte Domains im Format ausschließen: @[Domänenname].[Domain Extension].<br><br>
 Beispiele:<br>
@@ -179,10 +155,10 @@
 $lang['UAM_confirmtxtTitle_d'] = 'Geben Sie den einleitenden Text, den Sie in der E-Mail-Bestätigung der Anmeldung erscheinen.<br><br>
 Um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.';
-/*TODO*/$lang['UAM_confirmmail_custom1_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>acceptance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
-After installing the plugin, a standard text is set as an example.<br>
-This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
-/*TODO*/$lang['UAM_confirmmail_custom2_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>rejectance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.<br>
-After installing the plugin, a standard text is set as an example.<br>
-This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+$lang['UAM_confirmmail_custom1_d'] = 'Wenn die Option &quot;Bestätigung der Anmeldung&quot; aktiv ist, können Sie in diesem zu <b><u>Akzeptanz Text anpassen</u></b> auf der Anmeldebestätigung Seite angezeigt, wenn Benutzer auf den Bestätigungs-Link, die empfangen wurde per E-Mail.<br>
+Nach der Installation des Plugin ist ein Standard-Text als Beispiel vorangehen.<br>
+Dieses Feld ist kompatibel mit den FCK-Editor und, um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.';
+$lang['UAM_confirmmail_custom2_d'] = 'Wenn die Option &quot;Bestätigung der Anmeldung&quot; aktiv ist, können Sie in diesem zu <b><u>rejectance Text anpassen</u></b> auf der Anmeldebestätigung Seite angezeigt, wenn Benutzer auf den Bestätigungs-Link, die empfangen wurde per E-Mail.<br>
+Nach der Installation des Plugin ist ein Standard-Text als Beispiel vorangehen.<br>
+Dieses Feld ist kompatibel mit den FCK-Editor und, um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.';
 $lang['UAM_remailtxt1Title_d'] = 'Geben Sie den einleitenden Text, den Sie in der E-Mail-Erinnerung angezeigt wird, zusätzlich zu der Prüfschlüssel regeneriert.<br><br>
 Wenn leer, wird die E-Mail-Erinnerung nur den Bestätigungslink. Es wird daher dringend empfohlen, ein wenig erläuternden Text zu nehmen. (NB: Der Text Fertigpen mit der Installation des Plugins ist als Beispiel vorgesehen)<br><br>
@@ -193,4 +169,23 @@
 $lang['UAM_gttextTitle_d'] = 'Geben Sie den gewünschten Text in die E-Mail-Erinnerung angezeigt, die Benutzer rechtzeitig, um wieder zur Galerie zu besuchen (Anm.: Der Text Fertigpen mit der Installation des Plugins ist als Beispiel vorgesehen).<br><br>
 Um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.';
+$lang['UAM_GTAutoTitle'] = 'Automatische Verwaltung von Geist Benutzern';
+$lang['UAM_GTAutoTitle_d'] = 'Diese Option ermöglicht es, Regeln für die automatisierte Verwaltung von Geistern Benutzer anwenden.
+<br><br>Grundprinzip: Ein Benutzer, der die maximale Zeit zwischen den Besuchen <b><u>und</u></b> hat bereits per E-Mail gilt als abgelaufen gemeldet erreicht. Dann können Sie automatisierte Verarbeitung Regeln wie das automatische Löschen von abgelaufenen Konten oder Herabstufung durch Beschränkung des Zugangs zur Galerie (schaltet automatisch auf eine eingeschränkte Gruppe und / oder Status).
+<br><br>Die Ansteuerung dieser Automatisierung wird erreicht, wenn eine Verbindung Nutzer (alle Benutzer!) Auf der Galerie.';
+$lang['UAM_GTAutoDelTitle'] = 'Benutzerdefinierte Meldung auf gelöschtes Konto';
+$lang['UAM_GTAutoDelTitle_d'] = 'Dies ist nur gültig, wenn der Benutzer, dessen Konto ist abgelaufen selbst löst die Streichung Mechanismus (selten, aber möglich). Er ist dann der Galerie getrennt und umgeleitet auf eine Seite mit der Löschung seines Accounts und gegebenenfalls die Gründe für die Streichung dieses Absatzes.<br><br>
+Custom Text für die Weiterleitungsseite können in dieses Feld eingegeben werden dass ist kompatibel mit den FCK-Editor und, um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.';
+$lang['UAM_GTAutoGpTitle'] = 'Automatischer Wechsel der Gruppe / Status';
+/*TODO*/$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group or status equivalent to a demotion of the accounts involved and working on the same principle as the group or the status of validation (see &quot;Setting confirmations and validations of registration&quot;). Therefore be to define a group and / or status demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status.<br><br>
+<b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
+$lang['UAM_GTAutoMailTitle'] = 'Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status';
+/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
+<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
+<br><br>Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br><br>Um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.
+<br><br><b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
+$lang['UAM_AdminValidationMail'] = 'Mitteilung der manuellen Registrierung Validierung';
+$lang['UAM_AdminValidationMail_d'] = 'Wenn ein Administrator oder Webmaster der Galerie manuell gültige Registrierung anhängig ist, ist eine Benachrichtigungs-Email automatisch an den Benutzer gesendet. Geben Sie hier den Text ein, in dieser E-Mail angezeigt.<br><br>
+Um mehrere Sprachen zu benutzen, können Sie die Extended description Plugin-Tags verwenden, wenn er aktiv ist.';
 // --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/de_DE/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/de_DE/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/de_DE/plugin.lang.php	(revision 8095)
@@ -25,5 +25,4 @@
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['Err_audit_no_casse'] = '<b>Diese Konten sind identisch mit den Fall aufmerksam:</b> ';
 $lang['Err_audit_username_char'] = '<b>Dieses Konto verwendet eine oder mehrere der verbotenen Zeichen:</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>Dieses Konto verwendet eine E-Mail-Anbieter sind untersagt:</b> ';
@@ -272,3 +271,25 @@
 $lang['UAM_RedirToProfile_true'] = ' Aktivieren';
 // --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_Expired_Group'] = '<b>Gruppe</b> für Benutzer-Registrierung abgelaufen<br>';
+$lang['UAM_Expired_Status'] = '<b>Status</b> für Benutzer-Registrierung abgelaufen<br>';
+$lang['UAM_GTAuto'] = 'Automatische Verwaltung von Geist Benutzern';
+$lang['UAM_GTAuto_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_GTAuto_true'] = ' Aktivieren';
+$lang['UAM_GTAutoDel'] = 'Automatisches Löschen von Konten';
+$lang['UAM_GTAutoGp'] = 'Automatischer Wechsel der Gruppe / Status';
+$lang['UAM_GTAutoMail'] = 'Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status';
+$lang['UAM_GTAutoMail_false'] = ' Deaktivieren (Standard)';
+$lang['UAM_GTAutoMail_true'] = ' Aktivieren';
+$lang['Deleted_Account_Redirection_Page'] = 'Zugriff verweigert - Account zerstört!';
+$lang['title_redir_page'] = 'Zugriff verweigert sich für ein Konto zerstört!';
+$lang['Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Konsistenz-Fehler in der Konfiguration gewählt:<br><br>
+"Einstellen der Registrierung durchgeführt und andere Optionen > Geist Besucher-Management (Geist Tracker) > Automatische Verwaltung von Geist Benutzern > Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status" kann nicht aktiviert werden, wenn "Einstellen Bestätigungen und Validierungen der Registrierung > Bestätigung der Anmeldung - Validation von Benutzer" ist zunächst nicht aktiviert.<br><br>
+Um die Kohärenz, die Option "Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status" wurde automatisch "deaktiviert" neu positioniert.<br><br>';
+$lang['Demotion of %s'] = 'Herabstufung von %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Mitteilung der manuellen Registrierung Validierung';
+$lang['Validation of %s'] = 'Validierung von %s';
+// --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/en_UK/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/en_UK/help/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/en_UK/help/plugin.lang.php	(revision 8095)
@@ -13,11 +13,4 @@
 ';
 $lang['UAM_miscTitle'] = 'Registration followed and other options';
-$lang['UAM_miscTitle_d'] = '
-- Ghost users management<br>
-- Followed registered users<br>
-- Nickname mandatory for guests comments<br>
-...
-';
-$lang['UAM_casenTitle'] = 'Usernames: Case sensitivity';
 $lang['UAM_carexcTitle'] = 'Usernames: Exclusion of characters';
 $lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse logins containing &quot;@&quot;). This option allows to exclude characters or sequence of characters, events.<br>
@@ -56,6 +49,4 @@
 $lang['UAM_remailtxt2Title'] = 'Reminder email without new key generated';
 $lang['UAM_ghosttrackerTitle'] = 'Ghost visitors management';
-$lang['UAM_ghosttrackerTitle_d'] = 'Also called &quot;Ghost Tracker&quot;, when this function is activated, you can manage your visitors depending on the frequency of their visits. When the time between 2 visits is reaches, the visitor in question appears in the &quot;Ghost Tracker&quot; table where you will be able to remind visitors via email.<br><br>
-<b style=&quot;color: red;&quot;>If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker.</b>';
 $lang['UAM_gttextTitle'] = 'Ghost Tracker\'s reminder message';
 $lang['UAM_lastvisitTitle'] = 'Tracking registered users';
@@ -83,10 +74,4 @@
 // --------- End: New or revised $lang ---- from version 2.15.0
 
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.2
-$lang['UAM_casenTitle_d'] = 'By default, Piwigo is case sensitive: Uppercase and lowercase letters are considered different letters in the names chosen by users at registration. Thus, &quot;Foo&quot;, &quot;foo&quot; and &quot;FOO&quot; may be 3 different users.<br><br>
-Enabling this option allows to consider all options in case of &quot;foo&quot; as one user. If &quot;foo&quot; already exists, creating a new user &quot;Foo&quot; will be refused.<br><br>
-<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
-// --------- End: New or revised $lang ---- from version 2.15.2
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
@@ -156,19 +141,15 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.15.7
-/*TODO*/$lang['UAM_GTAutoTitle'] = 'Gestion automatique des utilisateurs fantomes';
-/*TODO*/$lang['UAM_GTAutoTitle_d'] = 'Cette option permet d\'appliquer des règles de gestion automatisée des visiteurs fantômes. Lorsque ce mode est actif, on partira du principe qu\'un visiteur ayant atteind la limite maximale entre deux visites et ayant déjà été notifié par mail est considéré comme expiré.';
-/*TODO*/$lang['UAM_GTAutoDelTitle'] = 'Suppression automatique des comptes expirés';
-/*TODO*/$lang['UAM_GTAutoDelTitle_d'] = 'Supprime automatiquement le compte d\'un utilisateur lorsque celui-ci est expiré. La suppression survient lors de la connexion de l\'utilisateur qui est alors redirigé vers une page annonçant que sont compte a été détruit. Un texte personnalisé peut être saisi dans le champ ci-dessous.<br>
-Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
-Note : Lorsque cette option est active, les autres règles automatiques ne sont pas accessibles.';
-/*TODO*/$lang['UAM_GTAutoGpTitle'] = 'Changement automatique de groupe / statut';
-/*TODO*/$lang['UAM_GTAutoGpTitle_d'] = 'Changement automatique de groupe / statut';
-/*TODO*/$lang['UAM_GTAutoMailTitle'] = 'Emailing automatique des comptes expirés';
-/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'Emailing automatique des comptes expirés';
-// --------- End: New or revised $lang ---- from version 2.15.7
-
-
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_ghosttrackerTitle_d'] = 'Also called &quot;Ghost Tracker&quot;, when this function is activated, you can manage your visitors depending on the frequency of their visits. 2 operating modes are available:<br><br>
+- Manual management : When the time between 2 visits is reached,, the visitor appears in the &quot;Ghost Tracker&quot; table where you will be able to remind visitors via email or delete him.<br><br>
+- Automated management : When the period between 2 successive visits is reached, the visitor is automatically deleted or moved into a wait group and/or status. In this second case, an information email can be sent to him.<br><br>
+<b style=&quot;color: red;&quot;>Important note : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker (see corresponding instructions on &quot;Ghost Tracker&quot; tab).</b>';
+$lang['UAM_miscTitle_d'] = '
+- Automatic or manual management of ghosts users<br>
+- Followed registered users<br>
+- Nickname mandatory for guests comments<br>
+...
+';
 $lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
 Examples :<br>
@@ -193,4 +174,23 @@
 $lang['UAM_gttextTitle_d'] = 'Enter the text you want to appear in the email reminder to prompt the user to return to visit your gallery (NB: The text pre-filled with the installation of the plugin is provided as an example).<br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_GTAutoTitle'] = 'Automatic management of ghosts users';
+$lang['UAM_GTAutoTitle_d'] = 'This option allows to apply rules for automated management of ghosts users.
+<br><br>Basic Principle: A user who reaches the maximum time between visits <b><u>and</u></b> has already been notified by email is considered as expired. Then you can apply automated processing rules such as automatic deletion of expired accounts or demotion by restricting access to the gallery (switch automatically to a restricted group and/or status).
+<br><br>The triggering of these automation is achieved when connecting users (any user!) to the gallery.';
+$lang['UAM_GTAutoDelTitle'] = 'Custom message on deleted account';
+$lang['UAM_GTAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+$lang['UAM_GTAutoGpTitle'] = 'Automatic change of group / status';
+$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group or status equivalent to a demotion of the accounts involved and working on the same principle as the group or the status of validation (see &quot;Setting confirmations and validations of registration&quot;). Therefore be to define a group and / or status demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status.<br><br>
+<b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
+$lang['UAM_GTAutoMailTitle'] = 'Automatically sending an email when changing group / status';
+$lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
+<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
+<br><br>Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br><br>To use multiple languages, you can use the Extended description plugin\'s tags if it is active.
+<br><br><b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
+$lang['UAM_AdminValidationMail'] = 'Notification of manual registration validation';
+$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually valid registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
 // --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/en_UK/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/en_UK/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/en_UK/plugin.lang.php	(revision 8095)
@@ -24,5 +24,4 @@
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['Err_audit_no_casse'] = '<b>These accounts are identical to the case closely :</b> ';
 $lang['Err_audit_username_char'] = '<b>This account uses one or more forbidden characters :</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>This account uses a forbidden email provider :</b> ';
@@ -269,3 +268,25 @@
 $lang['UAM_RedirToProfile_true'] = ' Enable';
 // --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_Expired_Group'] = '<b>Group</b> for user\'s registration has expired<br>';
+$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br>';
+$lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
+$lang['UAM_GTAuto_false'] = ' Disable (default)';
+$lang['UAM_GTAuto_true'] = ' Enable';
+$lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
+$lang['UAM_GTAutoGp'] = 'Automatic change of group / status';
+$lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status';
+$lang['UAM_GTAutoMail_false'] = ' Disable (default)';
+$lang['UAM_GTAutoMail_true'] = ' Enable';
+$lang['Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
+$lang['title_redir_page'] = 'Access denied for having an account destroyed!';
+$lang['Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the configuration chosen:<br><br>
+"Setting the followed registrations and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.<br><br>
+To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".<br><br>';
+$lang['Demotion of %s'] = 'Demotion of %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
+$lang['Validation of %s'] = 'Validation of %s';
+// --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/es_ES/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/es_ES/help/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/es_ES/help/plugin.lang.php	(revision 8095)
@@ -13,11 +13,4 @@
 ';
 $lang['UAM_miscTitle'] = 'Registros seguido y otras opciones';
-$lang['UAM_miscTitle_d'] = '
-- Gestión de visitantes fantasmas<br>
-- Seguimiento de usuarios registrados<br>
-- Nickname obligatorio para los comentarios<br>
-...
-';
-$lang['UAM_casenTitle'] = 'Nombres de usuario: mayúsculas y minúsculas';
 $lang['UAM_carexcTitle'] = 'Nombres de usuario: Excluyendo los caracteres';
 $lang['UAM_carexcTitle_d'] = 'Puede ser interesante para prohibir ciertos caracteres en nombres de usuario (por ejemplo, se niegan los inicios de sesi&oacute;n que contiene &quot;@&quot;). Esta opci&oacute;n permite excluir caracteres o secuencia de caracteres, los acontecimientos.<br>
@@ -56,6 +49,4 @@
 $lang['UAM_remailtxt2Title'] = 'Recordatorio por correo electrónico sin la llave generada';
 $lang['UAM_ghosttrackerTitle'] = 'Gestión de usuarios fantasmas';
-$lang['UAM_ghosttrackerTitle_d'] = 'Tambi&eacute;n se llama &quot;Ghost Tracker&quot;, cuando se activa esta funci&oacute;n, usted puede manejar sus visitantes en funci&oacute;n de la frecuencia de sus visitas. Cuando el tiempo entre 2 visitas a llegado, el visitante en cuesti&oacute;n aparecera en el &quot;Ghost Tracker&quot; tabla donde usted ser&aacute; capaz de recordar a los visitantes a trav&eacute;s de correo electr&oacute;nico.<br><br>
-<b style=&quot;color: red;&quot;>Si habilita esta función por primera vez o ha reactivado después de un largo período durante el cual los nuevos visitantes se han registrado, usted debera inicializar o restablecer el Rastreador de Ghost.</b>';
 $lang['UAM_gttextTitle'] = 'Mensaje recordatorio de Ghost Tracker';
 $lang['UAM_lastvisitTitle'] = 'Seguimiento de usuarios registrados';
@@ -76,17 +67,4 @@
 Al deshabilitar esta opci&oacute;n (por defecto), s&oacute;lo el coreo de informaci&oacute;n  se env&iacute;a (si &quot;Informaci&oacute;n por correo electr&oacute;nico para el usuario&quot; est&aacute; activado).';
 // --------- End: New or revised $lang ---- from version 2.14.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.0
-/*TODO*/$lang['UAM_confirmmail_custom1'] = 'Text of the confirmation page - Confirmation accepted';
-/*TODO*/$lang['UAM_confirmmail_custom2'] = 'Text of the confirmation page - Confirmation rejected';
-// --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.2
-/*TODO*/$lang['UAM_casenTitle_d'] = 'By default, Piwigo is case sensitive: Uppercase and lowercase letters are considered different letters in the names chosen by users at registration. Thus, &quot;Foo&quot;, &quot;foo&quot; and &quot;FOO&quot; may be 3 different users.<br><br>
-Enabling this option allows to consider all options in case of &quot;foo&quot; as one user. If &quot;foo&quot; already exists, creating a new user &quot;Foo&quot; will be refused.<br><br>
-<b style=&quot;color: red;&quot;>Warning: This option has no effect on the user names created prior to its activation.</b>';
-// --------- End: New or revised $lang ---- from version 2.15.2
 
 
@@ -157,19 +135,17 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.15.7
-/*TODO*/$lang['UAM_GTAutoTitle'] = 'Gestion automatique des utilisateurs fantomes';
-/*TODO*/$lang['UAM_GTAutoTitle_d'] = 'Cette option permet d\'appliquer des règles de gestion automatisée des visiteurs fantômes. Lorsque ce mode est actif, on partira du principe qu\'un visiteur ayant atteind la limite maximale entre deux visites et ayant déjà été notifié par mail est considéré comme expiré.';
-/*TODO*/$lang['UAM_GTAutoDelTitle'] = 'Suppression automatique des comptes expirés';
-/*TODO*/$lang['UAM_GTAutoDelTitle_d'] = 'Supprime automatiquement le compte d\'un utilisateur lorsque celui-ci est expiré. La suppression survient lors de la connexion de l\'utilisateur qui est alors redirigé vers une page annonçant que sont compte a été détruit. Un texte personnalisé peut être saisi dans le champ ci-dessous.<br>
-Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
-Note : Lorsque cette option est active, les autres règles automatiques ne sont pas accessibles.';
-/*TODO*/$lang['UAM_GTAutoGpTitle'] = 'Changement automatique de groupe / statut';
-/*TODO*/$lang['UAM_GTAutoGpTitle_d'] = 'Changement automatique de groupe / statut';
-/*TODO*/$lang['UAM_GTAutoMailTitle'] = 'Emailing automatique des comptes expirés';
-/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'Emailing automatique des comptes expirés';
-// --------- End: New or revised $lang ---- from version 2.15.7
-
-
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_confirmmail_custom1'] = 'Texto de la página de confirmación - Confirmación aceptada';
+$lang['UAM_confirmmail_custom2'] = 'Texto de la página de confirmación - Confirmación rechazada';
+/*TODO*/$lang['UAM_ghosttrackerTitle_d'] = 'Also called &quot;Ghost Tracker&quot;, when this function is activated, you can manage your visitors depending on the frequency of their visits. 2 operating modes are available:<br><br>
+- Manual management : When the time between 2 visits is reached,, the visitor appears in the &quot;Ghost Tracker&quot; table where you will be able to remind visitors via email or delete him.<br><br>
+- Automated management : When the period between 2 successive visits is reached, the visitor is automatically deleted or moved into a wait group and/or status. In this second case, an information email can be sent to him.<br><br>
+<b style=&quot;color: red;&quot;>Important note : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker (see corresponding instructions on &quot;Ghost Tracker&quot; tab).</b>';
+$lang['UAM_miscTitle_d'] = '
+- Automatic or manual management of ghosts users<br>
+- Followed registered users<br>
+- Nickname mandatory for guests comments<br>
+...
+';
 $lang['UAM_mailexcTitle_d'] = 'De forma predeterminada, Piwigo acepta todas las direcciones de correo electrónico en el  formato xxx@yyy.zz. Al habilitar esta opción le permite excluir ciertos dominios en el formato: @[nombreDeDominio].[Domain_extension].<br><br>
 Ejemplos :<br>
@@ -194,4 +170,23 @@
 $lang['UAM_gttextTitle_d'] = 'Introduzca el texto que desea que aparezca en el recordatorio por correo electrónico para pedir al usuario volver a visitar su galería (Nota: El texto pre-llenado con la instalación del plugin se presenta como un ejemplo).<br><br>
 Para utilizar varios idiomas, puede utilizar las etiquetas para el plugin Extended description si está activo.';
+$lang['UAM_GTAutoTitle'] = 'Gestión automática de los Espíritus usuarios';
+/*TODO*/$lang['UAM_GTAutoTitle_d'] = 'This option allows to apply rules for automated management of ghosts users.
+<br><br>Basic Principle: A user who reaches the maximum time between visits <b><u>and</u></b> has already been notified by email is considered as expired. Then you can apply automated processing rules such as automatic deletion of expired accounts or demotion by restricting access to the gallery (switch automatically to a restricted group and/or status).
+<br><br>The triggering of these automation is achieved when connecting users (any user!) to the gallery.';
+$lang['UAM_GTAutoDelTitle'] = 'Mensaje personalizado en cuenta eliminada';
+/*TODO*/$lang['UAM_GTAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+$lang['UAM_GTAutoGpTitle'] = 'Cambio automático de grupo / estado';
+/*TODO*/$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group or status equivalent to a demotion of the accounts involved and working on the same principle as the group or the status of validation (see &quot;Setting confirmations and validations of registration&quot;). Therefore be to define a group and / or status demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status.<br><br>
+<b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
+$lang['UAM_GTAutoMailTitle'] = 'Automáticamente el envío de un correo electrónico cuando se cambia de grupo / estado';
+/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
+<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
+<br><br>Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br><br>To use multiple languages, you can use the Extended description plugin\'s tags if it is active.
+<br><br><b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
+$lang['UAM_AdminValidationMail'] = 'Notificación de la validación manual de registro';
+/*TODO*/$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually valid registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
 // --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/es_ES/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/es_ES/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/es_ES/plugin.lang.php	(revision 8095)
@@ -25,5 +25,4 @@
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Auditoría OK';
-$lang['Err_audit_no_casse'] = '<b>Estas cuentas estan idénticas y sensibles a mayusculas:</b> ';
 $lang['Err_audit_username_char'] = '<b>Esta cuenta utiliza uno o más caracteres prohibidos:</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>Esta cuenta utiliza un proveedor de correo electrónico  prohibido:</b> ';
@@ -271,3 +270,25 @@
 $lang['UAM_RedirToProfile_true'] = ' Activar';
 // --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_Expired_Group'] = '<b>Grupo</b> para el registro de usuario ha caducado<br>';
+$lang['UAM_Expired_Status'] = '<b>Estado </b> para el registro de usuario ha caducado<br>';
+$lang['UAM_GTAuto'] = 'Gestión automática de los Espíritus usuarios';
+$lang['UAM_GTAuto_false'] = ' Desactivar (por defecto)';
+$lang['UAM_GTAuto_true'] = ' Activar';
+$lang['UAM_GTAutoDel'] = 'Borrado automático de las cuentas';
+$lang['UAM_GTAutoGp'] = 'Cambio automático de grupo / estado';
+$lang['UAM_GTAutoMail'] = 'Automáticamente el envío de un correo electrónico cuando se cambia de grupo / estado';
+$lang['UAM_GTAutoMail_false'] = ' Desactivar (por defecto)';
+$lang['UAM_GTAutoMail_true'] = ' Activar';
+$lang['Deleted_Account_Redirection_Page'] = 'Acceso denegado - Cuenta destruido!';
+$lang['title_redir_page'] = 'Acceso denegado por haber destruido una cuenta!';
+$lang['Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Error de coherencia en la configuración elegida:<br><br>
+"Configuración de los registros seguidos y otras opciones > Gestión de Espíritu visitantes (Tracker Ghost) > Gestión automática de los Espíritus usuarios > Automáticamente el envío de un correo electrónico cuando se cambia de grupo / estado" no se puede activar si "Configuración de las confirmaciones y validaciones de registro > Confirmación de registro - La validación por el usuario" no está habilitada en un principio.<br><br>
+Para garantizar la coherencia, la opción "Automáticamente el envío de un correo electrónico cuando se cambia de grupo / estado" fue colocado de nuevo de forma automática "Desactivar".<br><br>';
+$lang['Demotion of %s'] = 'Degradación de %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notificación de la validación manual de registro';
+$lang['Validation of %s'] = 'Validación de %s';
+// --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/fr_FR/help/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/fr_FR/help/plugin.lang.php	(revision 8095)
@@ -13,5 +13,4 @@
 ';
 $lang['UAM_miscTitle'] = 'Suivi des inscrits et fonctions diverses';
-$lang['UAM_casenTitle'] = 'Noms d\'utilisateurs : Sensibilité à la casse';
 $lang['UAM_carexcTitle'] = 'Noms d\'utilisateurs : Exclusion de certains caractères';
 $lang['UAM_carexcTitle_d'] = 'Il peut être intéressant d\'interdire certains caractères dans les noms d\'utilisateurs (exemple : refuser les logins contenant un &quot;@&quot;). Cette option permet d\'exclure les caractères, ou suite de caractères, indésirables.<br>NB: l\'option permet également d\'exclure des mots complets.
@@ -74,11 +73,4 @@
 $lang['UAM_confirmmail_custom2'] = 'Texte de la page de confirmation - Confirmation rejetée';
 // --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.2
-$lang['UAM_casenTitle_d'] = 'Par défaut, Piwigo est sensible à la casse : majuscules et minuscules sont considérées comme des lettres différentes dans les noms choisis par les utilisateurs à l\'inscription. Ainsi, &quot;Toto&quot;,  &quot;toto&quot; et &quot;TOTO&quot; peuvent être 3 utilisateurs différents.<br><br>
-L\'activation de cette option permet de considérer toutes les versions de casse de &quot;toto&quot; comme un seul utilisateur. Si &quot;toto&quot; existe déjà, la création d\'un nouvel utilisateur &quot;ToTo&quot; sera refusée.<br><br>
-<b style=&quot;color: red;&quot;>Attention : Cette option est sans effet sur les noms d\'utilisateurs créés préalablement à son activation.</b>';
-// --------- End: New or revised $lang ---- from version 2.15.2
 
 
@@ -147,5 +139,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
-$lang['UAM_ghosttrackerTitle_d'] = 'L\'activation de cette fonction permet la gestion des visiteurs inscrits en fonction de la fréquence de leurs visites. 2 fonctionnements sont possibles:<br><br>
+$lang['UAM_ghosttrackerTitle_d'] = 'L\'activation de cette fonction permet la gestion des visiteurs inscrits en fonction de la fréquence de leurs visites. 2 modes de fonctionnements sont possibles:<br><br>
 - Gestion manuelle : Lorsque le délai entre 2 visites successives est atteint, le visiteur apparaît dans le tableau de l\'onglet &quot;Ghost Tracker&quot; d\'où il est possible de le relancer manuellement par email ou le supprimer.<br><br>
 - Gestion automatisée : Lorsque le délai entre 2 visites successives est atteint, le visiteur est automatiquement soit supprimé, soit basculé dans un groupe et/ou statut d\'attente. Dans ce deuxième cas, un email d\'information peut lui être envoyé.<br><br><br>
@@ -181,21 +173,21 @@
 $lang['UAM_GTAutoTitle'] = 'Gestion automatique des utilisateurs fantomes';
 $lang['UAM_GTAutoTitle_d'] = 'Cette option permet d\'appliquer des règles de gestion automatisée des visiteurs fantômes.
-<br><br>Principe de base : Un compte d\'utilisateur ayant atteind la limite maximale entre deux visites <b>et</b> ayant déjà été notifié par email est considéré comme expiré. On peut alors appliquer des règles de traitement automatisées telles que la suppression automatique des comptes expirés ou leur rétrogradation en restreignant l\'accès à la galerie (bascule automatique dans un groupe et/ou un statut à accès restreint).
+<br><br>Principe de base : Un utilisateur ayant atteind la limite maximale entre deux visites <b><u>et</u></b> ayant déjà été notifié par email est considéré comme expiré. On peut alors appliquer des règles de traitement automatisées telles que la suppression automatique des comptes expirés ou leur rétrogradation en restreignant l\'accès à la galerie (bascule automatique dans un groupe et/ou un statut à accès restreint).
 <br><br>Le déclenchement de ces automatismes se réalise lors de la connexion des utilisateurs (n\'importe quel utilisateur !)à la galerie.';
-$lang['UAM_GTAutoDelTitle'] = 'Suppression automatique des comptes expirés';
-$lang['UAM_GTAutoDelTitle_d'] = 'Supprime automatiquement le compte d\'un utilisateur lorsque celui-ci est expiré.
-<br><br>Fonction à utiliser avec précaution car la suppression des comptes est définitive et sans appel !<br><br>
-La suppression survient lors de la connexion de l\'utilisateur qui est alors redirigé vers une page annonçant que son compte a été détruit. Un texte personnalisé peut être saisi dans le champ ci-dessous.<br>
-Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
-Note : Lorsque cette option est active, les autres règles automatiques ne sont pas accessibles.';
+$lang['UAM_GTAutoDelTitle'] = 'Message personnalisé de suppression de compte';
+$lang['UAM_GTAutoDelTitle_d'] = 'Ceci n\'est valable que lorsque l\'utilisateur dont le compte a expiré déclenche lui même le mécanisme de suppression (cas rare mais possible). Il est alors déconnecté de force de la galerie et redirigé vers une page indiquant la suppression de son compte et, éventuellement, les raisons de cette suppression.<br><br>
+Un texte personnalisé pour cette page de redirection peut être saisi dans le champ ci-dessous qui est compatible avec l\'extension FCK Editor. Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
 $lang['UAM_GTAutoGpTitle'] = 'Changement automatique de groupe / statut';
 $lang['UAM_GTAutoGpTitle_d'] = 'Le changement automatique de groupe ou de statut équivaut à une rétrogradation des comptes concernés et fonctionne sur le même principe que le groupe ou le statut de validation (voir &quot;Paramétrage des confirmations et validations d\'inscriptions&quot;). Il conviendra donc de définir un groupe et/ou un statut rétrogradant l\'accès à la galerie. Si cela a déjà été défini avec l\'utilisation de la fonction Confirmation d\'inscription, on peut utiliser ces mêmes groupe / statut.<br><br>
-<b style=&quot;color: red;&quot;>Point important :</b> Si un utilisateur fantôme n\'a toujours pas donné signe de vie après le délai imparti malgré la notification par mail, il est automatiquement supprimé de la base de données.';
+<b style=&quot;color: red;&quot;>Point important :</b> Si un utilisateur fantôme n\'a toujours pas donné signe de vie après le délai imparti et malgré la notification automatique par mail (si activée), il est automatiquement supprimé de la base de données.';
 $lang['UAM_GTAutoMailTitle'] = 'Email automatique sur changement de groupe / statut';
 $lang['UAM_GTAutoMailTitle_d'] = 'Lorsqu\'un compte est expiré (changement de groupe / statut rétrogradant le visiteur), un email d\'information peut être envoyé pour préciser les raisons de ce changement et le moyen de recouvrer l\'accès initial à la galerie.
-<br>Pour ce faire, un lien de revalidation de l\'inscription est joint à l\'email (génération automatique d\'une nouvelle clé de validation).
+<br>Pour ce faire, un lien de revalidation de l\'inscription est joint à l\'email (génération automatique d\'une nouvelle clé de validation).<b style=&quot;color: red;&quot;>Si l\'utilisateur a déjà été notifié, son compte est automatiquement détruit.</b> 
 <br><br>Saisissez aussi le texte personnalisé qui expliquera les raisons de la rétrogradation et qui accompagnera le lien de validation. Le texte personnalisé n\'est pas obligatoire mais vivement conseillé. En effet, vos visiteurs inscrits n\'apprécieront que moyennement de recevoir un email ne contenant qu\'un simple lien sans plus d\'explications. ;-)
 <br><br>Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.
 <br><br><b style=&quot;color: red;&quot;>Attention : L\'emploi de cette fonction est intimement lié à l\'option de confirmation d\'inscription par l\'utilisateur (confirmation par mail) et ne peut pas être activée sans cette option.</b>';
+$lang['UAM_AdminValidationMail'] = 'Notification de validation d\'inscription manuelle';
+$lang['UAM_AdminValidationMail_d'] = 'Lorsqu\'un administrateur ou un webmestre de la galerie valide manuellement une inscription en attente, un email de notification est automatiquement envoyé à l\'utilisateur concerné. Saisissez ici le texte qui apparaîtra dans cet email.<br><br>
+Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
 // --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/fr_FR/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/fr_FR/plugin.lang.php	(revision 8095)
@@ -278,6 +278,4 @@
 $lang['UAM_GTAutoDel'] = 'Suppressions automatiques des comptes';
 $lang['UAM_GTAutoGp'] = 'Changement automatique de groupe / statut';
-$lang['UAM_GTAutoDel_false'] = ' Désactiver (valeur par défaut)';
-$lang['UAM_GTAutoDel_true'] = ' Activer';
 $lang['UAM_GTAutoMail'] = 'Email automatique sur changement de groupe / statut';
 $lang['UAM_GTAutoMail_false'] = ' Désactiver (valeur par défaut)';
@@ -286,7 +284,9 @@
 $lang['title_redir_page'] = 'Accès refusé pour cause de compte détruit !';
 $lang['Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :<br><br>
-"Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes  > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations et validations d\'inscriptions  > Confirmation d\'inscription - Validation par le visiteur" n\'est pas activé au préalable.<br><br>
+"Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations et validations d\'inscriptions > Confirmation d\'inscription - Validation par le visiteur" n\'est pas activé au préalable.<br><br>
 Pour garantir la cohérence, l\'option "Email automatique sur changement de groupe / statut" a été automatiquement repositionnée en "désactivé".<br><br>';
 $lang['Demotion of %s'] = 'Rétrogradation de %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notification de validation d\'inscription manuelle';
+$lang['Validation of %s'] = 'Validation de %s';
 // --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/it_IT/help/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/it_IT/help/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/it_IT/help/plugin.lang.php	(revision 8095)
@@ -13,11 +13,4 @@
 ';
 $lang['UAM_miscTitle'] = 'Monitoraggio degli utenti registrati e altre opzioni';
-$lang['UAM_miscTitle_d'] = '
-- Gestione degli ospiti fantasmi<br>
-- Monitoraggio degli utenti registrati<br>
-- Pseudo obbligatorio per i commenti degli ospiti<br>
-...
-';
-$lang['UAM_casenTitle'] = 'Pseudo: Sensibilità maiuscole/minuscole';
 $lang['UAM_carexcTitle'] = 'Pseudo: Esclusione di caratteri';
 $lang['UAM_carexcTitle_d'] = 'Può essere interessante vietare certi caratteri per i pseudo (ad esempio: negare login contenente &quot;@&quot;). Questa opzione permette di escludere i caratteri o sequenza di caratteri, eventi.<br>
@@ -56,6 +49,4 @@
 /* TODO */$lang['UAM_remailtxt2Title'] = 'Reminder email without new key generated';
 /* TODO */$lang['UAM_ghosttrackerTitle'] = 'Ghost visitors management';
-/* TODO */$lang['UAM_ghosttrackerTitle_d'] = 'Also called &quot;Ghost Tracker&quot;, when this function is activated, you can manage your visitors depending on the frequency of their visits. When the time between 2 visits is reaches, the visitor in question appears in the &quot;Ghost Tracker&quot; table where you will be able to remind visitors via email.<br><br>
-<b style=&quot;color: red;&quot;>If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker.</b>';
 /* TODO */$lang['UAM_gttextTitle'] = 'Ghost Tracker\'s reminder message';
 /* TODO */$lang['UAM_lastvisitTitle'] = 'Tracking registered users';
@@ -76,17 +67,4 @@
 Disabilitando questa opzione ((predefinito)), solo le informazioni e-mail viene inviata (se &quot;E-mail informazioni per l\'utente&quot; &egrave; abilitato).';
 // --------- End: New or revised $lang ---- from version 2.14.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.0
-/*TODO*/$lang['UAM_confirmmail_custom1'] = 'Text of the confirmation page - Confirmation accepted';
-/*TODO*/$lang['UAM_confirmmail_custom2'] = 'Text of the confirmation page - Confirmation rejected';
-// --------- End: New or revised $lang ---- from version 2.15.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.15.2
-$lang['UAM_casenTitle_d'] = 'Di default, Piwigo è sensibile alle minuscole e maiuscole e vengono considerate come diverse lettere nei pseudo scelti dagli utenti al momento dell\'iscrizzione. E dunque &quot;Pippo&quot;, &quot;pippo&quot; e &quot;PIPPO&quot; possono essere 3 diversi utenti.<br><br>
-L\'attivazione di questa opzione permette di considerare &quot;Pippo&quot;, &quot;pippo&quot;, &quot;PIPPO&quot;, ... come un\'solo utente. Se &quot;pippo&quot; esiste già, creare un nuovo pseudo &quot;Pippo&quot; risulterà impossibile.<br><br>
-<b style=&quot;color: red&quot;>Attenzione: questa opzione non ha alcun effetto sui pseudo creati prima della sua attivazione.</b>';
-// --------- End: New or revised $lang ---- from version 2.15.2
 
 
@@ -153,19 +131,17 @@
 
 
-// --------- Starting below: New or revised $lang ---- from version 2.15.7
-/*TODO*/$lang['UAM_GTAutoTitle'] = 'Gestion automatique des utilisateurs fantomes';
-/*TODO*/$lang['UAM_GTAutoTitle_d'] = 'Cette option permet d\'appliquer des règles de gestion automatisée des visiteurs fantômes. Lorsque ce mode est actif, on partira du principe qu\'un visiteur ayant atteind la limite maximale entre deux visites et ayant déjà été notifié par mail est considéré comme expiré.';
-/*TODO*/$lang['UAM_GTAutoDelTitle'] = 'Suppression automatique des comptes expirés';
-/*TODO*/$lang['UAM_GTAutoDelTitle_d'] = 'Supprime automatiquement le compte d\'un utilisateur lorsque celui-ci est expiré. La suppression survient lors de la connexion de l\'utilisateur qui est alors redirigé vers une page annonçant que sont compte a été détruit. Un texte personnalisé peut être saisi dans le champ ci-dessous.<br>
-Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
-Note : Lorsque cette option est active, les autres règles automatiques ne sont pas accessibles.';
-/*TODO*/$lang['UAM_GTAutoGpTitle'] = 'Changement automatique de groupe / statut';
-/*TODO*/$lang['UAM_GTAutoGpTitle_d'] = 'Changement automatique de groupe / statut';
-/*TODO*/$lang['UAM_GTAutoMailTitle'] = 'Emailing automatique des comptes expirés';
-/*TODO*/$lang['UAM_GTAutoMailTitle_d'] = 'Emailing automatique des comptes expirés';
-// --------- End: New or revised $lang ---- from version 2.15.7
-
-
 // --------- Starting below: New or revised $lang ---- from version 2.16.0
+$lang['UAM_confirmmail_custom1'] = 'Testo della pagina di conferma - Conferma accettati';
+$lang['UAM_confirmmail_custom2'] = 'Testo della pagina di conferma - Conferma respinto';
+/* TODO */$lang['UAM_miscTitle_d'] = '
+- Automatic or manual management of ghosts users<br>
+- Followed registered users<br>
+- Nickname mandatory for guests comments<br>
+...
+';
+/* TODO */$lang['UAM_ghosttrackerTitle_d'] = 'Also called &quot;Ghost Tracker&quot;, when this function is activated, you can manage your visitors depending on the frequency of their visits. 2 operating modes are available:<br><br>
+- Manual management : When the time between 2 visits is reached,, the visitor appears in the &quot;Ghost Tracker&quot; table where you will be able to remind visitors via email or delete him.<br><br>
+- Automated management : When the period between 2 successive visits is reached, the visitor is automatically deleted or moved into a wait group and/or status. In this second case, an information email can be sent to him.<br><br>
+<b style=&quot;color: red;&quot;>Important note : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker (see corresponding instructions on &quot;Ghost Tracker&quot; tab).</b>';
 $lang['UAM_mailexcTitle_d'] = 'Per impostazione predefinita, PhpWebGallery accetta tutti gli indirizzi di posta elettronica nel xxx@yyy.zz formato. L\'attivazione di questa opzione consente di escludere determinati domini nel formato: @[nome_dominio].[Domain_extension].<br><br>
 Esempi :<br>
@@ -190,4 +166,23 @@
 /* TODO */$lang['UAM_gttextTitle_d'] = 'Enter the text you want to appear in the email reminder to prompt the user to return to visit your gallery (NB: The text pre-filled with the installation of the plugin is provided as an example).<br><br>
 Per utilizzare più lingue, è possibile utilizzare i tag del plugin Extended Description, se esso è attivo.';
+/* TODO */$lang['UAM_GTAutoTitle'] = 'Automatic management of ghosts users';
+/* TODO */$lang['UAM_GTAutoTitle_d'] = 'This option allows to apply rules for automated management of ghosts users.
+<br><br>Basic Principle: A user who reaches the maximum time between visits <b><u>and</u></b> has already been notified by email is considered as expired. Then you can apply automated processing rules such as automatic deletion of expired accounts or demotion by restricting access to the gallery (switch automatically to a restricted group and/or status).
+<br><br>The triggering of these automation is achieved when connecting users (any user!) to the gallery.';
+/* TODO */$lang['UAM_GTAutoDelTitle'] = 'Custom message on deleted account';
+/* TODO */$lang['UAM_GTAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+/* TODO */$lang['UAM_GTAutoGpTitle'] = 'Automatic change of group / status';
+/* TODO */$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group or status equivalent to a demotion of the accounts involved and working on the same principle as the group or the status of validation (see &quot;Setting confirmations and validations of registration&quot;). Therefore be to define a group and / or status demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status.<br><br>
+<b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
+/* TODO */$lang['UAM_GTAutoMailTitle'] = 'Automatically sending an email when changing group / status';
+/* TODO */$lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
+<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
+<br><br>Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br><br>To use multiple languages, you can use the Extended description plugin\'s tags if it is active.
+<br><br><b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
+/* TODO */$lang['UAM_AdminValidationMail'] = 'Notification of manual registration validation';
+/* TODO */$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually valid registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
 // --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/it_IT/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/it_IT/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/it_IT/plugin.lang.php	(revision 8095)
@@ -24,5 +24,4 @@
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['Err_audit_no_casse'] = '<b>Questi conti sono identici (escluso maiuscola/minuscola):</b> ';
 $lang['Err_audit_username_char'] = '<b>Questo conto utente utilizza uno o più caratteri vietati:</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>Questo conto utente usa un dominio d\'Email proibito:</b> ';
@@ -278,6 +277,4 @@
 $lang['UAM_GTAutoDel'] = 'Cancellazione automatica dei conti';
 $lang['UAM_GTAutoGp'] = 'Cambiamento automatico del gruppo / statuto';
-$lang['UAM_GTAutoDel_false'] = ' Disattivare (di default)';
-$lang['UAM_GTAutoDel_true'] = ' Attivare';
 $lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico';
 $lang['UAM_GTAutoMail_false'] = ' Disattivare (di default)';
@@ -289,4 +286,6 @@
 Per garantire la coerenza, l\'opzione "Email automatica su cambiamento del gruppo / statuto" è stata automaticamente riposizionata in "disattivato".<br><br>';
 $lang['Demotion of %s'] = 'Retrocessione di %s';
+/* TODO */$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
+/* TODO */$lang['Validation of %s'] = 'Validation of %s';
 // --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/language/lv_LV/plugin.lang.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/language/lv_LV/plugin.lang.php	(revision 8095)
@@ -24,5 +24,4 @@
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Pārbaude OK';
-$lang['Err_audit_no_casse'] = '<b>Šie konti ir identiski šinī gadījumā :</b> ';
 $lang['Err_audit_username_char'] = '<b>Šinī kontā izmantotas neatļautas rakstzīmes :</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>Šinī kontā izmanots neatļauts e-pasta pakalpojuma sniedzējs :</b> ';
@@ -269,3 +268,25 @@
 $lang['UAM_RedirToProfile_true'] = ' Iespējot';
 // --------- End: New or revised $lang ---- from version 2.15.4
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.16.0
+/* TODO */$lang['UAM_Expired_Group'] = '<b>Group</b> for user\'s registration has expired<br>';
+/* TODO */$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br>';
+/* TODO */$lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
+/* TODO */$lang['UAM_GTAuto_false'] = ' Disable (default)';
+/* TODO */$lang['UAM_GTAuto_true'] = ' Enable';
+/* TODO */$lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
+/* TODO */$lang['UAM_GTAutoGp'] = 'Automatic change of group / status';
+/* TODO */$lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status';
+/* TODO */$lang['UAM_GTAutoMail_false'] = ' Disable (default)';
+/* TODO */$lang['UAM_GTAutoMail_true'] = ' Enable';
+/* TODO */$lang['Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
+/* TODO */$lang['title_redir_page'] = 'Access denied for having an account destroyed!';
+/* TODO */$lang['Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the configuration chosen:<br><br>
+"Setting the followed registrations and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.<br><br>
+To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".<br><br>';
+/* TODO */$lang['Demotion of %s'] = 'Demotion of %s';
+/* TODO */$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
+/* TODO */$lang['Validation of %s'] = 'Validation of %s';
+// --------- End: New or revised $lang ---- from version 2.16.0
 ?>
Index: extensions/NBC_UserAdvManager/branches/2.16/maintain.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.16/maintain.inc.php	(revision 8094)
+++ extensions/NBC_UserAdvManager/branches/2.16/maintain.inc.php	(revision 8095)
@@ -26,5 +26,5 @@
 Best regards,
 
-The admin of the gallery.','false','false','false','false','false','false','Sorry, your account has been deleted due to a too long time passed since your last visit.','Sorry, your account has been deprecated due to a too long time passed since your last visit. Please, use the following link to revalidate your account.',-1,-1);
+The admin of the gallery.','false','false','false','false','false','Sorry, your account has been deleted due to a too long time passed since your last visit.','Sorry, your account has been deprecated due to a too long time passed since your last visit. Please, use the following link to revalidate your account.',-1,-1,'Thank you to have registered the gallery. Your account has been manually validated by admin. You can now visit all the gallery for free !');
 
   $q = '
